TEXDIRFLATTEN(1)

NAME
texdirflatten - Collects all components of a (La)TeX file in a single output directory -- i.e., flattens its hierarchy.

SYNOPSIS
texdirflatten -f input.tex [-o outputdir]

DESCRIPTION
It parses the source file, following its included children (La)TeX files recursively, to collect together its components, such as graphics and BiBTeX bibliography files in different directories.

OPTIONS

-f input.tex
    Specifies input (La)TeX file.

-o outputdir
    Directory to collect all files. texdirflatten will copy each source file, graphics and bibliography file to this directory. It will be created if it is unexistent. If unspecified, it defaults to "flat/".

EXAMPLES
The following example scans "manuscript.tex" in the current directory and gathers it and all its components in the "submit_01/" directory:

 $ texdirflatten -f manuscript.tex -o submit_01

CAVEATS
Please take backups before running this command. No warranties whatsoever provided.

BUGS
Bug reports and patches are welcome.

AUTHOR
Cengiz Gunay <cengique<AT>users.sf.net>

COPYRIGHT AND LICENSE
Copyleft 2003-2009, Cengiz Gunay

This library is free software; you may redistribute it and/or modify it under the same terms as Perl itself.